#!/bin/bash
# This is chkFBxine by Wicky
# for requests and suggestions send a pn to Wicky @ www.vdrportal.de 
VERSION="0.0.1"
APP="chkFBxine"
TMPPATH=$(pwd)

function checkVDRrunning ()
{
    vdrPID=`ps -C vdr -o "%p" | grep -vw PID | tac`
    if [ x"$vdrPID" != "x" ]; then
	echo "";
        echo "VDR is running. Stop it before running $APP $VERSION"
        echo "";
        quit 2;
    fi
}

function genM2V ()
{
        cat $TMPPATH/dxr3config.m2v > $TMPPATH/tmp.m2v;
        typeset -i i;
        i=1;
        while [ $i -le 250 ]; do
                cat $TMPPATH/dxr3config.m2v >> $TMPPATH/tmp.m2v
                i=$((i+1))
        done
}
echo ""
echo "$APP $VERSION by Wicky"
echo ""
checkVDRrunning
genM2V
echo "########################################"
echo "Framebuffer Konfiguration in der Datei /boot/grub/menu.lst:"
echo $(cat /boot/grub/menu.lst | grep vga)
echo "########################################"
echo "Teste den Framebuffer......"
echo "Hallo" > /dev/fb0
fbmsg="$(cat /dev/fb0)"
if [ "$fbmsg"="Hallo" ]; then
    echo "Der Framebuffer scheint zu funktionieren"
else
    echo "Der Framebuffer scheint nicht zu funktionieren"    
fi
echo "########################################"
echo "Teste den Sound...."
sndmsg=$(cat /proc/asound/oss/sndstat | grep "no soundcard")
echo $(cat /proc/asound/oss/sndstat)
echo ""
if [ -z $sndmsg ]; then
    echo "Der Sound scheint zu funktionieren"
else
    echo "Der Sound scheint nicht zu funktionieren"
fi
echo "########################################"
echo "Na dann testen wir mal ob sich ein M2V via vidix abspielen lsst...."
echo "Der Test dauert ca. 10sec"
fbxine -V vidixfb -A none -D --stdctl $TMPPATH/tmp.m2v
echo "fbxine-vidix exit Code: $?"
echo "Der exit-code muss 0 sein !!!"
echo "########################################"
echo "Na dann testen wir mal ob sich ein M2V via framebuffer abspielen lsst...."
echo "Der Test dauert ca. 10sec"
fbxine -V fb -A none -D --stdctl $TMPPATH/tmp.m2v
echo "fbxine-fb exit Code: $?"
echo "Der exit-code muss 0 sein !!!"
echo "Bis dann...."